System
Select CUDA GPU device
PUT
Switch the active CUDA device. Unloads both TTS and ASR models for device migration.
index*IndexCUDA device index
Successful Response
application/json- response
success*SuccessWhether the operation succeeded
changed*ChangedWhether the device was actually changed
needs_reload?Needs ReloadWhether the TTS model needs to be reloaded on the new device
Default
falsemessage?|Optional status message
curl -X PUT 'http://127.0.0.1:8100/api/v1/system/gpu-device?index=0'Example Response
{ "success": true, "changed": true, "needs_reload": false, "message": "string"}